curl --request GET \
--url https://api.invopop.com/access/v1/enrollment \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/access/v1/enrollment"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/access/v1/enrollment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_id": "01900e17-db4d-78a5-8505-c93ae63e8a0d",
"created_at": "2018-01-01T00:00:00.000Z",
"data": {
"key": "value"
},
"disabled": false,
"id": "01950020-daef-7d75-b1ba-33e7e392a658",
"owner_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"sandbox": false,
"token": "<string>",
"token_expires": 1680000000,
"updated_at": "2018-01-01T00:00:00.000Z"
}Fetch enrollment
Fetch the enrollment details for the current authentication token. (Only Applications!)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
ID of the application associated with the enrollment.
"01900e17-db4d-78a5-8505-c93ae63e8a0d"
The date and time the enrollment was created.
"2018-01-01T00:00:00.000Z"
Additional data associated with the enrollment.
{ "key": "value" }
Whether the enrollment is disabled.
false
UUID of the enrollment.
"01950020-daef-7d75-b1ba-33e7e392a658"
The ID of the entity that owns the enrollment.
"347c5b04-cde2-11ed-afa1-0242ac120002"
Indicates if the enrollment's workspace is in a sandbox environment.
false
A token that may be used to authenticate the enrollment with API operations.
The expiration unix timestamp of the token.
1680000000
The date and time the enrollment was last updated.
"2018-01-01T00:00:00.000Z"
Was this page helpful?